Permalink
Browse files

Disable FFI CI specs.

Two issues:

* We do not load RubyGems to run the specs.
* We are using the FFI gem, so the gems specs should be run to
  ensure that the gem functions on Rubinius.
  • Loading branch information...
brixen committed Jan 8, 2013
1 parent d0a2ac3 commit 53b0b2ca1d476451a1bdf7b670cf51b14dd354fe
Showing with 9 additions and 3 deletions.
  1. +3 −1 spec/rbx.1.8.mspec
  2. +3 −1 spec/rbx.1.9.mspec
  3. +3 −1 spec/rbx.2.0.mspec
View
@@ -72,12 +72,14 @@ class MSpecScript
'spec/compiler',
'spec/command_line',
'spec/ruby/optional/capi',
- 'spec/ruby/optional/ffi',
'spec/ruby/library',
'spec/library',
'spec/build',
+ # We use the FFI gem now
+ '^spec/ruby/optional/ffi',
+
# Excluded because the specs are extremely system dependent.
'^spec/ruby/library/syslog',
View
@@ -77,12 +77,14 @@ class MSpecScript
'spec/compiler',
'spec/command_line',
'spec/ruby/optional/capi',
- 'spec/ruby/optional/ffi',
'spec/ruby/library',
'spec/library',
'spec/build',
+ # We use the FFI gem now
+ '^spec/ruby/optional/ffi',
+
# Excluded because the specs are extremely system dependent.
'^spec/ruby/library/syslog',
View
@@ -77,12 +77,14 @@ class MSpecScript
'spec/compiler',
'spec/command_line',
'spec/ruby/optional/capi',
- 'spec/ruby/optional/ffi',
'spec/ruby/library',
'spec/library',
'spec/build',
+ # We use the FFI gem now
+ '^spec/ruby/optional/ffi',
+
# Excluded because the specs are extremely system dependent.
'^spec/ruby/library/syslog',

0 comments on commit 53b0b2c

Please sign in to comment.